MakeMKV 1.10.6 build on Debian 9 (Stretch) - FIXED

The place to discuss linux version of MakeMKV
Post Reply
penguinmeister
Posts: 1
Joined: Thu Jul 13, 2017 10:02 am

MakeMKV 1.10.6 build on Debian 9 (Stretch) - FIXED

Post by penguinmeister » Thu Jul 13, 2017 10:13 am

All,

Just as an FYI, the instructions for building MakeMKV 1.10.6 may not work on Debian 9 (Stretch) depending on what you already have installed.

The instructions don't install the zlib headers - so if they aren't already there then then the makemkv-oss "make" won't work.

To fix, add "zlib1g-dev" to the "sudo apt-get install ..." line as below:

Code: Select all

sudo apt-get install build-essential pkg-config libc6-dev libssl-dev libexpat1-dev libavcodec-dev libgl1-mesa-dev libqt4-dev zlib1g-dev
Debian 9 (and other recent systems) now package the old "zlib" libraries as "zlib1g".

If you want to rebuild FFMPEG with AAC support then you will also need to install the AAC libraries before attempting to build FFMPEG:

Code: Select all

sudo apt-get install libfdk-aac-dev libfdk-aac1
With these additions, MakeMKV works perfectly on Debian 9 (I'm using the KDE GUI).

16442496
Posts: 24
Joined: Sat Jun 11, 2016 12:47 pm
Location: Finland

Re: MakeMKV 1.10.6 build on Debian 9 (Stretch) - FIXED

Post by 16442496 » Sat Aug 05, 2017 4:18 am

Good info.
Yes, Debian 9 Stretch is asking to install zlib1g-dev.

This is what i use on my Debian 9 KDE to install Makemkv.

apt install build-essential pkg-config libc6-dev libssl-dev libexpat1-dev libavcodec-dev libgl1-mesa-dev zlib1g-dev qttools5-dev
OS: Debian 9 (Stretch) 64-bit, KDE
ODD: TSSTcorp. CDDVDW SH-224DB

Post Reply